# Class VulkanCallFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.jcoronado.api.VulkanException
com.io7m.jcoronado.api.VulkanCallFailedException

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<String>, com.io7m.seltzer.api.SStructuredErrorType<String>, Serializable`

public final class VulkanCallFailedException extends VulkanException
An exception raised by a failing Vulkan call.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanCallFailedException(String message, Throwable cause, Map<String,String> attributes)`
  Construct an exception.
  `VulkanCallFailedException(String message, Map<String,String> attributes)`
  Construct an exception.
  `VulkanCallFailedException(String message, Map<String,String> attributes, Optional<String> remediatingAction)`
  Construct an exception.

- ## Method Summary

  ### Methods inherited from class VulkanException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### VulkanCallFailedException

    public VulkanCallFailedException(String message, Throwable cause, Map<String,String> attributes)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `attributes` - The error attributes

  - ### VulkanCallFailedException

    public VulkanCallFailedException(String message, Map<String,String> attributes, Optional<String> remediatingAction)
    Construct an exception.
    Parameters:
      `message` - The message
      `attributes` - The error attributes
      `remediatingAction` - The remediating action

  - ### VulkanCallFailedException

    public VulkanCallFailedException(String message, Map<String,String> attributes)
    Construct an exception.
    Parameters:
      `message` - The message
      `attributes` - The error attributes